﻿namespace WcfDataSet.OMR
{
    using System.Runtime.Serialization;

    [DataContract]
    public class CustomDataTable
    {
        [DataMember]
        public string Name { get; set; }

        [DataMember]
        public CustomColumnInfo[] Columns { get; set; }

        [DataMember]
        public CustomDataRow[] Rows { get; set; }

        public CustomDataTable(int columnsCount, int rowsCount)
        {
            Columns = new CustomColumnInfo[columnsCount];
            Rows = new CustomDataRow[rowsCount];
        }
    }
}